#!/bin/sh
# Copyright (c) 2003-2006 Erez Zadok
# Copyright (c) 2003-2006 Stony Brook University
# Copyright (c) 2003-2006 The Research Foundation of State University of New York
# Copyright (c) 2004-2006 Nikolai Joukov
# Copyright (c) 2003-2005 Akshat Aranya
# Copyright (c) 2006-2006 Gopala Surya

LOWERDIR=/n/lower
MOUNTPOINT=/n/tracefs-upper
DEBUG=4
BINDIR=../src/
CONF=streaming_tracefs_config
export LD_LIBRARY_PATH=${BINDIR}user
/sbin/insmod ${BINDIR}tracefs.ko || exit $?
mount -t tracefs -o dir=${LOWERDIR},debug=${4:-$DEBUG} none ${MOUNTPOINT} || exit $?

rm -f /n/fsl/streaming.trfs* errors
${BINDIR}user/add_dest -p ${MOUNTPOINT} < $CONF
${BINDIR}user/gostop ${MOUNTPOINT} go 0

#
# Replace this 'ls' with the activity to trace
#
##################
#Tracing operation begins
##################


